Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 605767 - QMF mangles class names
QMF mangles class names
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All Linux
low Severity medium
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 14:17 EDT by Justin Ross
Modified: 2011-08-12 12:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2010-06-18 14:17:07 EDT
A class called "JobServer" in the schema is sent as "jobserver" over the wire.  Ken says this is due to the behavior of the qmf code generator.

I think this is a bad practice, though it's not a terrible state of affairs, and it's apparently difficult to fix now.

As to why it's bad: it recently served as the background for a bug in mint.  In an effort to recapture the original class names, mint had logic in place to take the value of ClassKey.getClassName() and capitalize its initial letter so it would match the metadata, which contains classes by their as-written (capitalized) form.

This worked until JobServer came along.  It has a cap in the middle.  (I've now introduced a lowercased index of classes to use instead, so the problem is addressed in a general fashion.)

Nonetheless, mangling class names causes unnecessary confusion for implementors.

Note You need to log in before you can comment on or make changes to this bug.